com.icesoft.faces.component.ext

## Class ClickActionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ActionEvent
      - - com.icesoft.faces.component.ext.ClickActionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ClickActionEvent
      extends javax.faces.event.ActionEvent

  Created by IntelliJ IDEA. User: rmayhew Date: Sep 5, 2006 Time: 2:29:29 PM To change this template use File | Settings | File Templates.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClickActionEvent(javax.faces.component.UIComponent uiComponent, int row, int clickCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRow()`
    `RowSelectorEvent` | `getRowSelectorEvent()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)`
    `boolean` | `isDblClick()`
    `void` | `processListener(javax.faces.event.FacesListener facesListener)`
    `void` | `setRowSelectorEvent(RowSelectorEvent rowSelectorEvent)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClickActionEvent

          public ClickActionEvent(javax.faces.component.UIComponent uiComponent,
                                  int row,
                                  int clickCount)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      Overrides:
        `isAppropriateListener` in class `javax.faces.event.ActionEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Overrides:
        `processListener` in class `javax.faces.event.ActionEvent`

    - #### getRow

          public int getRow()

    - #### isDblClick

          public boolean isDblClick()

    - #### getRowSelectorEvent

          public RowSelectorEvent getRowSelectorEvent()

    - #### setRowSelectorEvent

          public void setRowSelectorEvent(RowSelectorEvent rowSelectorEvent)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.